GET
/{orgId}/{itemId}/settingsGet all the settings configured for the workflow system. If the setting property is encrypted, the value is hidden when returned. If includeSystemSettings is set to true, then SMTP and other system settings will be included. The adminAdvanced privilege is required.
Query parameters
| Name | Type | Required |
|---|---|---|
include | boolean¦null | |
token | string¦null |
Path parameters
| Name | Type | Required |
|---|---|---|
org | string | |
item | string |
Response status
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | success | DataStoreSettings |
| 400 | Bad Request | invalid object | WorkflowJsonExceptionDTO |
Examples
Request
# You can also use wget
curl -X GET /{orgId}/{itemId}/settings \
-H 'Authorization: Bearer <YOUR_TOKEN>'Response
{
"settings": [
{
"propName": "string",
"value": "string",
"encrypted": true
}
]
}